Karia
ReferencesOpenapiOrigination

Generate quote documents

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/generate-docs

Generate either an indicative or final quote document for the specified quote.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string
quoteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/string/origination/deal/string/quote/string/generate-docs" \  -H "Content-Type: application/json" \  -d '{    "document_type": "indicative_quote"  }'
{  "message": "string",  "presignedUrl": "string",  "documentId": "string",  "downloadUrl": "string",  "fileName": "string",  "document_type": "indicative_quote"}